summarylogtreecommitdiffstats
path: root/axon-launcher.install
diff options
context:
space:
mode:
authorKenwoodFox2022-01-29 12:05:47 -0500
committerKenwoodFox2022-01-29 12:05:47 -0500
commitf5c256c738f85f0e34ee8235b6aecc9022cc1d3d (patch)
tree11c62d88a08695363651b215ae7e5aef46b73ccb /axon-launcher.install
downloadaur-f5c256c738f85f0e34ee8235b6aecc9022cc1d3d.tar.gz
Import axon launcher
Diffstat (limited to 'axon-launcher.install')
-rw-r--r--axon-launcher.install25
1 files changed, 25 insertions, 0 deletions
diff --git a/axon-launcher.install b/axon-launcher.install
new file mode 100644
index 000000000000..37d1bf93b999
--- /dev/null
+++ b/axon-launcher.install
@@ -0,0 +1,25 @@
+post_install() {
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+
+ # Link to the binary
+ ln -sf '/opt/Axon/launcher' '/usr/bin/axonLauncher'
+
+ # SUID chrome-sandbox for Electron 5+
+ chmod 4755 '/opt/Axon/chrome-sandbox' || true
+
+ update-mime-database /usr/share/mime || true
+ update-desktop-database /usr/share/applications || true
+ update-desktop-database -q
+}
+
+post_upgrade() {
+ post_install
+}
+
+post_remove() {
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+
+ # Delete the link to the binary
+ rm -f '/usr/bin/axonLauncher'
+ update-desktop-database -q
+}